# Code for "Quantifying Noise in Survey Expectations"

Python code for "Quantifying Noise in Survey Expectations" by Simas Kucinskas and Arturas Juodis.

## Replication instructions

Results in the paper can be replicated by running the bash script in ./scripts:

> ./run_all

Provided that the relevant packages are installed
and system requirements are met, these bash scripts should work out of the box
on Linux and MacOS machines. The scripts will *not* run on Windows. In that case, the
scripts should be helpful for understanding the structure of the code, and the
sequence of the analysis. The Python code itself
works across platforms, including on Windows.

## Expected runtime

Running the run_all script takes around 12 hours 
on an Ubuntu laptop with 2.3GHz (4 cores) and 8GB RAM. 
The code is not parallelized.

## System requirements

Replication files require Python relevant Python packages (including pandas, numpy,
and statsmodels, in particular) We recomend using the Anaconda distribution to
get these Python packages.

## Sub-folder structure

The code that performs the analysis is located in ./code/python/.

The ./fixed_revisions/ folder holds fixed revisions of the data. This way,
parts of the analysis can be completed without running all of the code.

## Unit tests

Python unit tests (using nosetests) are in ./code/python/tests/.